Subject: RE: netinet/tcp.h
From: "Norman Vine" <[email-masked]>
To: "'Robinow, David'" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 1 Sep 2000 14:26:26 -0400

Hi David,

I've been building Python with Cygwin for years :-)

In fact I am the one that got the partial support for Cygwin
built into the Python make system originally.

At the time Guido did not want to add 'too' many special cases
to the configure.in script so we left it so that all one had to do for 
Cygwin was

export EXE='.exe'
before running configure
and this would set up the makefiles correctly :-)

FWIW IMHO
Rather then changing the Cygwin distribution to have
an empty header file which might break other applications
in strange ways.  This patch should be added to the 

// Python socketmodule.c 
#if !defined(__BEOS__) && !defined(__CYGWIN__)
#include <netinet/tcp.h>
#endif

FWIW  except for the select module will never run on win95/98
threads is the only module I have not got working and now that 
I can compile the Cygwin source I am working on that one :-)

I can send you a diff of my sources vs the current Python CVS
if you would like

Cheers

Norman Vine

--
Want to unsubscribe from this list?
Send a message to [email-masked]